Home

Sign a program for a multisig account

POST
https://algo.nownodes.io/v1/multisig/signprogram

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Start a multisig signature, or add a signature to a partially completed multisig signature object.

Body

application/json

APIV1POSTMultisigProgramSignRequest is the request for POST /v1/multisig/signprogram

addressstring
datastring<byte>
partial_multisigMultisigSig

MultisigSig is the structure that holds multiple Subsigs

Show child attributes
SubsigsArray<MultisigSubsig>
Show child attributes
KeyArray<integer>
SigArray<integer>
Thresholdinteger<uint8>
Versioninteger<uint8>
public_keyArray<integer>
wallet_handle_tokenstring
wallet_passwordstring

Response

200OK

Response to POST /v1/multisig/signdata